Bug 252144 - wine init script produces nonstandard output
Summary: wine init script produces nonstandard output
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine   
(Show other bugs)
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-14 09:53 UTC by Joel Uckelman
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 0.9.43-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-24 05:37:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix init script formatting (1023 bytes, patch)
2007-08-14 09:53 UTC, Joel Uckelman
no flags Details | Diff

Description Joel Uckelman 2007-08-14 09:53:24 UTC
Description of problem:

1. /etc/init.d/wine fails to call success() or failure() from start() and stop().
2. start() and stop() have no echo at the end, so the next message is printed to
the same line.

These things aren't bugs per se, but are ugly.

Version-Release number of selected component (if applicable):

wine-core-0.9.42-1.fc7

How reproducible:

Always.

Steps to Reproduce:
1. Start, stop, or restart wine using /etc/init.d/wine.

Actual results:

[root@localhost init.d]# ./wine restart
Unregistering binary handler for Windows applicationsRegistering binary handler
for Windows applications[root@localhost init.d]#

Expected results:

[root@localhost init.d]# ./wine restart
Unregistering binary handler for Windows applications:        [  OK  ]
Registering binary handler for Windows applications:          [  OK  ]
[root@localhost init.d]#

Additional info:

I'm attaching a patch which fixes the aesthetic issue. It *doesn't* get the
RETVAL right, but at least in the stop() case I don't know what should be done
with that.

Comment 1 Joel Uckelman 2007-08-14 09:53:53 UTC
Created attachment 161258 [details]
patch to fix init script formatting

Comment 2 Fedora Update System 2007-08-19 15:13:35 UTC
wine-0.9.43-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2007-08-24 05:37:25 UTC
wine-0.9.43-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Joel Uckelman 2007-08-24 16:53:58 UTC
Looks good. Thanks!



Note You need to log in before you can comment on or make changes to this bug.